component: DisengagementControlDiagnostics
namespace: zoox::swopdash::server
proto_imports:
  - base/diag/monitors/stale/messages.proto
  - vehicle/swopdash_server/disengagement_control/proto/messages.proto
faults:
  - id: 1
    name: SwopdashClientStale
    severity: ERROR
    description: Unable to communicate with CoreDash client
    freeze_frame: zoox.diag.StaleFreezeFrame
    triggers_nogo: true
  - id: 2
    name: DisengagementReportRequired
    severity: WARNING
    description: A disengagement report must be submitted before reengaging autonomy
    freeze_frame: proto.DisengagementReportRequiredFreezeFrame
